/*
@font-face {
  font-family: "roboto";
  src: url("https://t3planet.com/typo3conf/ext/ns_theme_t3planet/Resources/Public/dist/assets/fonts/roboto/roboto-bold.eot");
  src: url("https://t3planet.com/typo3conf/ext/ns_theme_t3planet/Resources/Public/dist/assets/fonts/roboto/roboto-bold.eot?#iefix")
      format("embedded-opentype"),
    url("https://t3planet.com/typo3conf/ext/ns_theme_t3planet/Resources/Public/dist/assets/fonts/roboto/roboto-bold.woff2")
      format("woff2"),
    url("https://t3planet.com/typo3conf/ext/ns_theme_t3planet/Resources/Public/dist/assets/fonts/roboto/roboto-bold.woff")
      format("woff"),
    url("https://t3planet.com/typo3conf/ext/ns_theme_t3planet/Resources/Public/dist/assets/fonts/roboto/roboto-bold.svg#roboto-bold")
      format("svg");
  font-weight: 700;
  font-style: normal;
}

@font-face {
  font-family: "roboto";
  src: url("https://t3planet.com/typo3conf/ext/ns_theme_t3planet/Resources/Public/dist/assets/fonts/roboto/roboto-regular.woff2")
      format("woff2"),
    url("https://t3planet.com/typo3conf/ext/ns_theme_t3planet/Resources/Public/dist/assets/fonts/roboto/roboto-regular.woff")
      format("woff");
  font-weight: 400;
  font-style: normal;
}

@font-face {
  font-family: "roboto";
  src: url("https://t3planet.com/typo3conf/ext/ns_theme_t3planet/Resources/Public/dist/assets/fonts/roboto/roboto-medium.woff2")
      format("woff2"),
    url("https://t3planet.com/typo3conf/ext/ns_theme_t3planet/Resources/Public/dist/assets/fonts/roboto/roboto-medium.woff2")
      format("woff");
  font-weight: 500;
  font-style: normal;
}

@font-face {
  font-family: "roboto";
  src: url("https://t3planet.com/typo3conf/ext/ns_theme_t3planet/Resources/Public/dist/assets/fonts/roboto/roboto-light.woff2")
      format("woff2"),
    url("https://t3planet.com/typo3conf/ext/ns_theme_t3planet/Resources/Public/dist/assets/fonts/roboto/roboto-light.woff")
      format("woff");
  font-weight: 300;
  font-style: normal;
}
@font-face {
  font-family: "Merriweather";
  src: url("https://t3planet.com/typo3conf/ext/ns_theme_t3planet/Resources/Public/dist/assets/fonts/roboto/roboto-bold.woff2")
      format("woff2"),
    url("https://t3planet.com/typo3conf/ext/ns_theme_t3planet/Resources/Public/dist/assets/fonts/roboto/roboto-bold.woff")
      format("woff");
  font-weight: 700;
  font-style: normal;
}

@font-face {
  font-family: "Merriweather";
  src: url("https://t3planet.com/typo3conf/ext/ns_theme_t3planet/Resources/Public/dist/assets/fonts/roboto/roboto-black.woff2")
      format("woff2"),
    url("https://t3planet.com/typo3conf/ext/ns_theme_t3planet/Resources/Public/dist/assets/fonts/roboto/roboto-black.woff")
      format("woff");
  font-weight: 900;
  font-style: normal;
}
*/
@import url("https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,300;0,400;0,600;0,700;1,400&display=swap");

html,
body {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

body {
  font-family: "roboto", "Merriweather", sans-serif;
  font-weight: 400;
  color: #4E6177;
  font-size: 16px;
  line-height: 30px;
}
body * {
  font-family: "roboto", "Merriweather", sans-serif !important;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: "roboto", "Merriweather", sans-serif;
  font-weight: 500;
  color: #04122d;
}

h1 {
  font-size: 30px;
  line-height: 37px;
}
h2 {
  font-size: 24px;
  line-height: 30px;
  margin-bottom: 17px;
  margin-top: 34px;
  font-weight: bold;
}
h3 {
  font-size: 21px;
  line-height: 28px;
}
h4 {
  font-size: 20px;
  line-height: 26px;
}
h5 {
  font-size: 18px;
  line-height: 24px;
}
h6 {
  font-size: 16px;
  line-height: 22px;
}
p {
  font-size: 16px;
  line-height: 30px;
  margin-bottom: 20px;
}
.rst-content pre.literal-block, .rst-content div[class^='highlight'] pre, .rst-content .linenodiv pre {
  font-size: 18px;
}
hr {
  border-top-color: #eae9e9;
}

.wy-plain-list-decimal, .rst-content .section ol, .rst-content ol.arabic, article ol {
  margin-bottom: 40px;
}

footer {
    color: #788CA2;
}

.wy-side-nav-search,
.wy-nav-top,
.wy-menu-vertical a:active {
  background-color: #4E6177;
  color: #fff;
}
a {
  -webkit-transition: all 0.3s ease 0s;
  transition: all 0.3s ease 0s;
}
a,
a:link,
a:visited,
a:hover,
a:active {
  color: #3a85e6;
}
.btn {
  border-radius: 0;
  box-shadow: none;
  padding: 8px 19px;
  color: #fff;
  background-color: #3a85e6;
  border: 1px solid#3a85e6;
  font-weight: 500;
  outline: none;
}
.btn:hover,
.btn:focus,
.btn:active {
  background-color: transparent;
  color: #3a85e6;
  outline: none;
  box-shadow: none;
}
.btn.btn-secondary,
.btn.btn-secondary,
.btn.btn-secondary {
  background-color: #04122d;
  border-color: #04122d;
}
.btn-secondary:hover,
.btn-secondary:focus,
.btn-secondary:active {
  color: #04122d;
  background-color: transparent;
}
.wy-menu a,
.wy-menu a:link,
.wy-menu a:visited,
.wy-menu a:hover,
.wy-menu a:active {
  color: #fff;
}

.wy-side-nav-search > a,
.wy-side-nav-search .wy-dropdown > a,
.wy-side-nav-search > div.version,
.wy-nav-top a {
  color: #fff;
}

.wy-side-nav-search > a,
.wy-side-nav-search .wy-dropdown > a {
  font-size: 120%;
}

.wy-nav-side {
  background-color: #04122d;
}

.wy-side-nav-search {
  margin-bottom: 0;
  padding-right: 15px;
  box-shadow: none;
  padding-left: 15px;
  padding-bottom: 25px;
}

.wy-side-nav-search input[type="text"] {
  border-radius: 0;
  border-color: #C8D4E3;
  font-size: 14px;
  background-image: url('data:image/svg+xml;base64,PHN2ZyB2aWV3Qm94PSIwIDAgMTMgMTMiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyI+PHBhdGggZmlsbD0iIzRlNjE3NyIgZD0iTTEyLjg0MSAxMi4wNzdMOS43MTYgOC45NTJhNS40NzQgNS40NzQgMCAxMC0uNzY3Ljc2N2wzLjEyNSAzLjEyM2EuNTQxLjU0MSAwIDEwLjc2Ny0uNzY0em0tNy4zNjItMi4yMUE0LjM4OSA0LjM4OSAwIDExOS44NyA1LjQ3OWE0LjM5NCA0LjM5NCAwIDAxLTQuMzkxIDQuMzg4eiIvPjwvc3ZnPg==');
  background-position: 96% center;
  background-size: 13px;
  background-repeat: no-repeat;
}
.wy-menu-vertical a,
.wy-menu-vertical li.toctree-l1.current > a {
  padding: 10px 10px 10px 30px;
}
.wy-menu-vertical li.toctree-l2 > a,
.wy-menu-vertical li.toctree-l2.current > a,
.wy-menu-vertical li.toctree-l2.current li.toctree-l3 > a {
  padding: 8px 10px 8px 50px;
}
.wy-menu-vertical li.toctree-l2.current li.toctree-l3 > a {
  padding-left: 65px;
}
.wy-menu-vertical li.toctree-l1 > a {
  font-size: 16px;
}
.wy-menu-vertical li.toctree-l2 a,
.wy-menu-vertical li.toctree-l3 a,
.wy-menu-vertical li.toctree-l4 a {
  color: #04122d;
  font-size: 14px;
}
.wy-menu-vertical li.toctree-l1 > a:hover {
  background-color: transparent !important;
  color: #3a85e6;
}
.wy-menu-vertical li.toctree-l1.current,
.wy-menu-vertical li.toctree-l1.current > a {
  background-color: #F5F8FB;
  color: #3a85e6;
}
.wy-menu-vertical li.toctree-l1.current > a {
  border-top: 0;
  border-bottom: 0;
}
.wy-menu-vertical li a span.toctree-expand,
.wy-menu-vertical li.current > a span.toctree-expand,
.wy-menu-vertical li.current > a:hover span.toctree-expand {
  color: #fff;
}

.wy-menu-vertical li.toctree-l1 > ul,
.wy-menu-vertical li.toctree-l2.current > a,
.wy-menu-vertical li.toctree-l2.current li.toctree-l3 > a:hover {
  background-color: #F5F8FB;
}

.wy-menu-vertical li.toctree-l2 > ul,
.wy-menu-vertical li.toctree-l2 a:hover,
.wy-menu-vertical li.toctree-l2.current li.toctree-l3 > a {
  background-color: #f1f4f8;
}
.wy-plain-list-disc li,
.rst-content .section ul li,
.rst-content .toctree-wrapper ul li,
article ul li {
  position: relative;
  list-style: none;
  padding-left: 20px;
  margin-left: 0;
  margin-bottom: 10px;
}
.wy-plain-list-disc li li,
.rst-content .section ul li li,
.rst-content .toctree-wrapper ul li li,
article ul li li {
  list-style: none !important;
}
.wy-plain-list-disc li::before,
.rst-content .section ul li::before,
.rst-content .toctree-wrapper ul li::before,
article ul li::before {
  position: absolute;
  top: 8px;
  left: 5px;
  content: "";
  height: 6px;
  width: 6px;
  border-radius: 50%;
  background-color: #04122d;
}
.wy-plain-list-disc li ul,
.rst-content .section ul li ul,
.rst-content .toctree-wrapper ul li ul,
article ul li ul {
  margin-bottom: 20px;
  margin-top: 10px;
}
.wy-plain-list-disc li li::before,
.rst-content .section ul li li::before,
.rst-content .toctree-wrapper ul li li::before,
article ul li li::before {
  background-color: #b0b8c1;
}
.wy-plain-list-decimal li,
.rst-content .section ol li,
.rst-content ol.arabic li,
article ol li {
  margin-bottom: 10px;
  padding-left: 0;
}
.wy-plain-list-decimal li:before,
.rst-content .section ol li:before,
.rst-content ol.arabic li:before,
article ol li:before {
  display: none;
}
.wy-plain-list-decimal li,
.rst-content .section ol li,
.rst-content ol.arabic li,
article ol li {
  margin-bottom: 10px;
}
.rst-content img {
  border: 1px solid #C8D4E3;
}
.rst-versions,
.rst-versions .rst-current-version {
  background-color: #04122D;
}
.rst-current-version {
  font-size: 16px;
}
.rst-current-version span.fa-book {
  font-size: 15px;
  font-weight: 700;
  margin-top: 5px;
}
.rst-current-version span.fa-book::before {
  content: "\f0f6";
  margin-right: 5px;
}
.rst-versions.shift-up .rst-other-versions {
  padding-top: 0;
}
.rst-versions .rst-other-versions hr {
  border-top-color: #04122d;
}
.rst-other-versions .injected {
  border-top: 1px solid #04122d;
  padding-top: 15px;
}
.rst-other-versions .injected dl {
  margin-bottom: 10px;
}
.rst-other-versions .injected dl:last-child dd,
.rst-other-versions dl:last-child dd,
.rst-other-versions dl .wy-form input {
  width: 100%;
}
.rst-footer-buttons .btn-neutral {
  border-radius: 0;
  border-color: #b0b8c1;
  box-shadow: none;
  background-color: transparent !important;
  color: #04122d !important;
  padding: 6px 12px;
  font-weight: 400;
}
.rst-footer-buttons .btn-neutral:hover {
  color: #fff !important;
  background-color: #3a85e6 !important;
  border-color: #3a85e6;
}
.rst-footer-buttons .btn-neutral .fa-arrow-circle-left::before {
  content: "\f104";
}
.rst-footer-buttons .btn-neutral .fa-arrow-circle-right::before {
  content: "\f105";
}
.rst-versions .rst-other-versions {
  font-size: 15px;
  line-height: 18px;
}
.rst-versions .rst-other-versions small {
  font-size: inherit;
  line-height: inherit;
}
.rst-versions .rst-other-versions small,
.rst-other-versions dl dt {
  color: #b0b8c1;
}
.toctree-wrapper li a:hover,
#typo3-templates > h1,
p a:hover {
  color: #04122d;
}
.rst-content .section ul.simple {
  padding-left: 7px;
}
.ethical-rtd {
  display: none !important;
}
@media (min-width: 768px) {
  .wy-plain-list-disc li ul,
  .rst-content .section ul li ul,
  .rst-content .toctree-wrapper ul li ul,
  article ul li ul {
    padding-left: 15px;
  }
}
@media (min-width: 769px) and (max-width: 993px) {
  .wy-nav-content {
    padding-left: 1.6em;
    padding-right: 1.6em;
  }
}
@media (max-width: 768px) {
  .wy-nav-side {
    -webkit-transition: all 0.3s ease 0s;
    transition: all 0.3s ease 0s;
  }
  .wy-nav-content-wrap {
    -webkit-transition: transform 0.3s ease 0s;
    transition: transform 0.3s ease 0s;
    -webkit-transform: translateX(0);
    transform: translateX(0);
  }
  .wy-nav-content-wrap.shift {
    left: 0;
    -webkit-transform: translateX(85%);
    transform: translateX(85%);
  }
  .wy-nav-content-wrap .wy-nav-content {
    padding: 25px 15px;
  }
}


/*14-6-22*/

@media (min-width: 768.98px) {
  .wy-grid-for-nav {
    max-width: 1170px;
    margin: 0 auto;
    position: relative;
    min-height: 100vh;
  }
}

.wy-menu a, 
.wy-menu a:link,
.wy-menu a:visited, 
.wy-menu a:hover,
.wy-menu a:active {
  color: #04122D;
}

.wy-grid-for-nav nav.wy-nav-side {
  padding-bottom: 0;
}

.wy-nav-side {
  position: absolute;
  background-color: #fff;
}

.wy-nav-content-wrap {
  min-height: auto;
}

.wy-nav-content-wrap,
.wy-menu-vertical li.toctree-l2 > ul,
.wy-menu-vertical li.toctree-l2 a:hover,
.wy-menu-vertical li.toctree-l2.current li.toctree-l3 > a,
.wy-menu-vertical li.toctree-l3.current li.toctree-l4 > a {
  background: #F5F8FB;
}

.wy-body-for-nav {
  background-color: #fff;
}

.wy-nav-content {
  max-width: none;
  background: #fff;
  padding-bottom: 60px;
}

.wy-menu-vertical li a span.toctree-expand {
  color: #04122D;
}

.wy-menu-vertical li.current > a span.toctree-expand, 
.wy-menu-vertical li.current > a:hover span.toctree-expand {
  color: #04122D;
}

.wy-menu-vertical a:hover span.toctree-expand {
 color: #04122D; 
}

.wy-menu-vertical li.on a,
.wy-menu-vertical li.current>a {
  font-weight: 400;
  color: #3a85e6;
}

input[type="text"], input[type="password"], input[type="email"], input[type="url"], input[type="date"], input[type="month"], input[type="time"], input[type="datetime"], input[type="datetime-local"], input[type="week"], input[type="number"], input[type="search"], input[type="tel"], input[type="color"] {
  box-shadow: none;
  border-color: #C8D4E3;
}

.wy-menu-vertical {
    background: #edf3f9;
    padding: 15px 0;
}

.rst-versions {
  left: auto;
  right: 0;
}

.wy-menu-vertical li.current a {
  border-color: transparent;
}

.wy-side-nav-search>a:hover, .wy-side-nav-search .wy-dropdown>a:hover {
  background-color: transparent;
}

/* Added by Sanjay to hide read-the-docs footer-right bottom sticky button */
.rst-versions {
  display: none;
}

readthedocs-flyout {
  display: none;
}